### Method

# AppStream Component add_translation

since: 0.9.2

#### Declaration [src]

    void
    as_component_add_translation (
      AsComponent* cpt,
      AsTranslation* tr
    )

#### Description [src]

Assign an `AsTranslation` object describing the translation system used by this component.

Available since: 0.9.2

#### Parameters

`tr`

  Type: `AsTranslation`

  An `AsTranslation` instance.

  The data is owned by the caller of the method.